## r-cran-foreach 1.4.1

=== DESCRIPTION ===
Package: foreach
Type: Package
Title: Foreach looping construct for R
Version: 1.4.1
Author: Revolution Analytics, Steve Weston
Maintainer: Revolution Analytics <packages@revolutionanalytics.com>
Description: Support for the foreach looping construct.  Foreach is an
        idiom that allows for iterating over elements in a collection,
        without the use of an explicit loop counter.  This package in
        particular is intended to be used for its return value, rather
        than for its side effects.  In that sense, it is similar to the
        standard lapply function, but doesn't require the evaluation of
        a function.  Using foreach without side effects also
        facilitates executing the loop in parallel.
Depends: R (>= 2.5.0)
Imports: codetools, utils, iterators
Suggests: randomForest
Enhances: compiler, doMC, RUnit, doParallel
License: Apache License (== 2.0)
Repository: CRAN
Repository/R-Forge/Project: foreach
Repository/R-Forge/Revision: 24
Repository/R-Forge/DateTimeStamp: 2013-05-29 21:06:49
Date/Publication: 2013-06-06 19:39:33
Packaged: 2013-05-31 15:37:59 UTC; rforge
NeedsCompilation: no

## r-cran-foreach 1.4.3

=== DESCRIPTION ===
Package: foreach
Type: Package
Title: Provides Foreach Looping Construct for R
Version: 1.4.3
Authors@R: c(person("Rich", "Calaway", role="cre", email="richcala@microsoft.com"),
             person("Revolution", "Analytics", role=c("aut", "cph")),
			 person("Steve", "Weston", role="aut"))
Description: Support for the foreach looping construct.  Foreach is an
        idiom that allows for iterating over elements in a collection,
        without the use of an explicit loop counter.  This package in
        particular is intended to be used for its return value, rather
        than for its side effects.  In that sense, it is similar to the
        standard lapply function, but doesn't require the evaluation
        of a function.  Using foreach without side effects also
        facilitates executing the loop in parallel.
Depends: R (>= 2.5.0)
Imports: codetools, utils, iterators
Suggests: randomForest
Enhances: compiler, doMC, RUnit, doParallel
License: Apache License (== 2.0)
Author: Rich Calaway [cre],
  Revolution Analytics [aut, cph],
  Steve Weston [aut]
Maintainer: Rich Calaway <richcala@microsoft.com>
Repository: CRAN
Repository/R-Forge/Project: foreach
Repository/R-Forge/Revision: 27
Repository/R-Forge/DateTimeStamp: 2015-10-12 01:37:31
Date/Publication: 2015-10-13 09:12:53
NeedsCompilation: no
Packaged: 2015-10-12 02:26:29 UTC; rforge

## r-cran-foreach 1.4.4

=== debian/changelog ===
r-cran-foreach (1.4.4-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 03 Jun 2018 08:10:29 -0500

r-cran-foreach (1.4.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Dec 2017 14:40:41 -0600

r-cran-foreach (1.4.3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Oct 2015 20:17:23 -0500

r-cran-foreach (1.4.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Apr 2014 06:56:18 -0500

r-cran-foreach (1.4.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Jun 2013 17:02:37 -0500

r-cran-foreach (1.4.0-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 07:30:07 -0500

r-cran-foreach (1.4.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Apr 2012 08:28:13 -0500

r-cran-foreach (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Mar 2012 19:19:44 -0500

r-cran-foreach (1.3.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Mar 2012 10:12:21 -0500

r-cran-foreach (1.3.2-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 May 2011 14:46:13 -0500

r-cran-foreach (1.3.0-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 09:53:38 -0600

r-cran-foreach (1.3.0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Oct 2009 16:52:11 -0500

r-cran-foreach (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Jun 2009 07:56:09 -0500

r-cran-foreach (1.2.0-1-1) unstable; urgency=low

  * Initial Debian package				(Closes: #534864)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Jun 2009 13:03:53 -0500

=== debian/control ===
Source: r-cran-foreach
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-codetools, r-cran-iterators
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-foreach
Vcs-Git: https://salsa.debian.org/edd/r-cran-foreach.git
Homepage: https://cran.r-project.org/package=foreach

Package: r-cran-foreach
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-codetools, r-cran-iterators
Description: GNU R foreach looping support
 This package provides support for the foreach looping construct.  
 Foreach is an idiom that allows for iterating over elements in a 
 collection, without the use of an explicit loop counter.  This package 
 in particular is intended to be used for its return value, rather
 than for its side effects.  In that sense, it is similar to the
 standard lapply function, but doesn't require the evaluation of
 a function.  Using foreach without side effects also facilitates 
 executing the loop in parallel.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/foreach_([-0-9\.]*)\.tar.gz

## r-cran-foreach 1.4.7

=== debian/changelog ===
r-cran-foreach (1.4.7-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 Aug 2019 21:25:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-codetools, r-cran-iterators
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-codetools, r-cran-iterators
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-foreach
 Vcs-Git: https://salsa.debian.org/edd/r-cran-foreach.git
 Homepage: https://cran.r-project.org/package=foreach

## r-cran-foreach 1.4.8

=== DESCRIPTION ===
Package: foreach
Type: Package
Title: Provides Foreach Looping Construct
Version: 1.4.8
Authors@R: c(person("Hong", "Ooi", role="cre", email="hongooi@microsoft.com"),
             person("Microsoft", role=c("aut", "cph")),
             person("Steve", "Weston", role="aut"))
Description: Support for the foreach looping construct.  Foreach is an
        idiom that allows for iterating over elements in a collection,
        without the use of an explicit loop counter.  This package in
        particular is intended to be used for its return value, rather
        than for its side effects.  In that sense, it is similar to the
        standard lapply function, but doesn't require the evaluation
        of a function.  Using foreach without side effects also
        facilitates executing the loop in parallel.
License: Apache License (== 2.0)
URL: https://github.com/RevolutionAnalytics/foreach
BugReports: https://github.com/RevolutionAnalytics/foreach/issues
Depends: R (>= 2.5.0)
Imports: codetools, utils, iterators
Suggests: randomForest, doMC, doParallel, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 7.0.2
Collate: 'callCombine.R' 'foreach.R' 'do.R' 'foreach-ext.R'
        'foreach-pkg.R' 'getDoPar.R' 'getDoSeq.R' 'getsyms.R' 'iter.R'
        'nextElem.R' 'onLoad.R' 'setDoPar.R' 'setDoSeq.R' 'times.R'
        'utils.R'
NeedsCompilation: no
Packaged: 2020-02-06 21:25:18 UTC; hongo
Author: Hong Ooi [cre],
  Microsoft [aut, cph],
  Steve Weston [aut]
Maintainer: Hong Ooi <hongooi@microsoft.com>
Repository: CRAN
Date/Publication: 2020-02-09 20:30:03 UTC

=== debian/changelog ===
r-cran-foreach (1.4.8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Feb 2020 20:56:37 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-codetools, r-cran-iterators
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r, r-cran-codetools, r-cran-iterators
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-foreach
 Vcs-Git: https://salsa.debian.org/edd/r-cran-foreach.git
 Homepage: https://cran.r-project.org/package=foreach

## r-cran-foreach 1.5.0

=== debian/changelog ===
r-cran-foreach (1.5.0-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 May 2020 06:54:18 -0500

r-cran-foreach (1.5.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Apr 2020 08:19:08 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r, r-cran-codetools, r-cran-iterators
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-codetools, r-cran-iterators
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-foreach
 Vcs-Git: https://salsa.debian.org/edd/r-cran-foreach.git

## r-cran-foreach 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: foreach
 Type: Package
 Title: Provides Foreach Looping Construct
-Version: 1.4.8
-Authors@R: c(person("Hong", "Ooi", role="cre", email="hongooi@microsoft.com"),
+Version: 1.5.1
+Authors@R: c(person("Michelle", "Wallig", role="cre", email="Michelle.Wallig@microsoft.com"),
              person("Microsoft", role=c("aut", "cph")),
              person("Steve", "Weston", role="aut"))
 Description: Support for the foreach looping construct.  Foreach is an
@@ -20,16 +20,16 @@
 Imports: codetools, utils, iterators
 Suggests: randomForest, doMC, doParallel, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.0.2
+RoxygenNote: 7.0.2.9000
 Collate: 'callCombine.R' 'foreach.R' 'do.R' 'foreach-ext.R'
         'foreach-pkg.R' 'getDoPar.R' 'getDoSeq.R' 'getsyms.R' 'iter.R'
         'nextElem.R' 'onLoad.R' 'setDoPar.R' 'setDoSeq.R' 'times.R'
         'utils.R'
 NeedsCompilation: no
-Packaged: 2020-02-06 21:25:18 UTC; hongo
-Author: Hong Ooi [cre],
+Packaged: 2020-10-12 16:22:02 UTC; hongo
+Author: Michelle Wallig [cre],
   Microsoft [aut, cph],
   Steve Weston [aut]
-Maintainer: Hong Ooi <hongooi@microsoft.com>
+Maintainer: Michelle Wallig <Michelle.Wallig@microsoft.com>
 Repository: CRAN
-Date/Publication: 2020-02-09 20:30:03 UTC
+Date/Publication: 2020-10-15 05:00:13 UTC

=== debian/changelog ===
r-cran-foreach (1.5.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Oct 2020 11:31:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-codetools, r-cran-iterators
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-codetools, r-cran-iterators
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-foreach
 Vcs-Git: https://salsa.debian.org/edd/r-cran-foreach.git

## r-cran-foreach 1.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Package: foreach
 Type: Package
 Title: Provides Foreach Looping Construct
-Version: 1.5.1
-Authors@R: c(person("Michelle", "Wallig", role="cre", email="Michelle.Wallig@microsoft.com"),
+Version: 1.5.2
+Authors@R: c(person("Folashade", "Daniel", role="cre", email="fdaniel@microsoft.com"),
+             person("Hong", "Ooi", role="ctb"),
+             person("Rich", "Calaway", role="ctb"),
              person("Microsoft", role=c("aut", "cph")),
              person("Steve", "Weston", role="aut"))
 Description: Support for the foreach looping construct.  Foreach is an
@@ -20,16 +22,18 @@
 Imports: codetools, utils, iterators
 Suggests: randomForest, doMC, doParallel, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.0.2.9000
+RoxygenNote: 7.1.1
 Collate: 'callCombine.R' 'foreach.R' 'do.R' 'foreach-ext.R'
         'foreach-pkg.R' 'getDoPar.R' 'getDoSeq.R' 'getsyms.R' 'iter.R'
         'nextElem.R' 'onLoad.R' 'setDoPar.R' 'setDoSeq.R' 'times.R'
         'utils.R'
 NeedsCompilation: no
-Packaged: 2020-10-12 16:22:02 UTC; hongo
-Author: Michelle Wallig [cre],
+Packaged: 2022-01-11 04:21:12 UTC; fdaniel
+Author: Folashade Daniel [cre],
+  Hong Ooi [ctb],
+  Rich Calaway [ctb],
   Microsoft [aut, cph],
   Steve Weston [aut]
-Maintainer: Michelle Wallig <Michelle.Wallig@microsoft.com>
+Maintainer: Folashade Daniel <fdaniel@microsoft.com>
 Repository: CRAN
-Date/Publication: 2020-10-15 05:00:13 UTC
+Date/Publication: 2022-02-02 09:20:02 UTC

=== debian/changelog ===
r-cran-foreach (1.5.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Feb 2022 14:06:44 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-codetools, r-cran-iterators
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-codetools, r-cran-iterators
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-foreach
 Vcs-Git: https://salsa.debian.org/edd/r-cran-foreach.git
 Homepage: https://cran.r-project.org/package=foreach

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-foreach package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
